Skip to Content
APIsSnapshot

Snapshot

Get snapshot returns the current price and aggregates of a crypto pair.

Get Snapshot

GEThttps://api.adesic.com/v2/cex/{exchange}/{market}/snapshot

Returns an object with the current price and latest aggregates of a crypto pair.

Path Parameters

NameTypeDescription
exchange*stringUnique exchange identifier used by Adesic.
market*stringUnique Crypto Pair identifier used by the exchange.

Query Parameters

NameTypeDescription
apiKey*stringYour Adesic API Key
success-response.js
{ "exchange": "coinbasepro", "market": "BTC/USD", "currentPrice": { "timestamp": "1644514081304", "price": 45664.68 }, "lastAggregates": [ { "timeframe": "1m", "t": 1644514020000, "o": 45611.24, "h": 45642.66, "l": 45603.99, "c": 45633.36, "v": 3.06919763 }, { "timeframe": "5m", "t": 1644513600000, "o": 45609.98, "h": 45618.75, "l": 45518.29, "c": 45556.56, "v": 68.72929794 }, { "timeframe": "15m", "t": 1644513300000, "o": 45700, "h": 45855, "l": 45518.29, "c": 45674.69, "v": 325.19832174 }, { "timeframe": "1h", "t": 1644512400000, "o": 45428.67, "h": 45855, "l": 45350, "c": 45553.23, "v": 539.73451388 }, { "timeframe": "6h", "t": 1644494400000, "o": 44871.79, "h": 45855, "l": 43210, "c": 45635.08, "v": 8832.20007482 }, { "timeframe": "1d", "t": 1644451200000, "o": 44416.39, "h": 45855, "l": 43210, "c": 45633.36, "v": 13322.95932161 } ] }

Copy & Paste Code

curl-request.sh
curl -H "api-key: API KEY" https://api.adesic.com/v2/cex/coinbasepro/BTC-USD/snapshot

Response Object

Example URL: https://api.adesic.com/v2/cex/coinbasepro/BTC-USD/snapshot 

response.json
{ "exchange": "coinbasepro", "market": "BTC/USD", "currentPrice": { "timestamp": "1644514081304", "price": 45664.68 }, "lastAggregates": [ { "timeframe": "1m", "t": 1644514020000, "o": 45611.24, "h": 45642.66, "l": 45603.99, "c": 45633.36, "v": 3.06919763 }, { "timeframe": "5m", "t": 1644513600000, "o": 45609.98, "h": 45618.75, "l": 45518.29, "c": 45556.56, "v": 68.72929794 }, { "timeframe": "15m", "t": 1644513300000, "o": 45700, "h": 45855, "l": 45518.29, "c": 45674.69, "v": 325.19832174 }, { "timeframe": "1h", "t": 1644512400000, "o": 45428.67, "h": 45855, "l": 45350, "c": 45553.23, "v": 539.73451388 }, { "timeframe": "6h", "t": 1644494400000, "o": 44871.79, "h": 45855, "l": 43210, "c": 45635.08, "v": 8832.20007482 }, { "timeframe": "1d", "t": 1644451200000, "o": 44416.39, "h": 45855, "l": 43210, "c": 45633.36, "v": 13322.95932161 } ] }

Response Attributes

Attribute NameData TypeDescription
exchangestringUnique identifier used by Adesic for the exchange.
marketstringUnique identifier used by the exchange for ticker.
currentPriceobjectObject with the time and price
timestampstringUnix timestamp of the current price.
pricefloatThe latest price of the crypto asset.
timeframestringAggregate bar or candlestick time frame. (1m, 5m, 15m, 1h, 6h, 1d)
lastAggregatesarrayArray of aggregates
tintegerUnix timestamp at the start of the aggregate.
ofloatThe open or first price of the aggregate.
hfloatThe highest price of the aggregate.
lfloatThe lowest price of the aggregate.
cfloatThe close or last price of the aggregate.
vfloatThe volume or quantity traded within the aggregate.

© Adesic LLC. All Rights Reserved